MakeBlock Drive Updated Updated library for MakeBlock Ranger

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MeFlameSensor Class Reference

Driver for Me flame snesor device. More...

`#include <src/MeFlameSensor.h>`

Inheritance diagram for MeFlameSensor:
[legend]
Collaboration diagram for MeFlameSensor:
[legend]

## Public Member Functions
| MeFlameSensor (void)
| MeFlameSensor (uint8_t port)
void | setpin (uint8_t digital_pin, uint8_t analog_pin)
uint8_t | readDigital (void)
int16_t | readAnalog (void)
Public Member Functions inherited from MePort
| MePort (void)
| MePort (uint8_t port)
| MePort (uint8_t port, uint8_t slot)
uint8_t | getPort (void)
uint8_t | getSlot (void)
bool | dRead1 (uint8_t mode=INPUT)
bool | dRead2 (uint8_t mode=INPUT)
bool | dpRead1 (void)
bool | dpRead2 (void)
void | dWrite1 (bool value)
void | dWrite2 (bool value)
int16_t | aRead1 (void)
int16_t | aRead2 (void)
void | aWrite1 (int16_t value)
void | aWrite2 (int16_t value)
void | reset (uint8_t port)
void | reset (uint8_t port, uint8_t slot)
uint8_t | pin1 (void)
uint8_t | pin2 (void)
uint8_t | pin (void)
uint8_t | pin (uint8_t port, uint8_t slot)

## Additional Inherited Members
Protected Attributes inherited from MePort
uint8_t | s1
uint8_t | s2
uint8_t | _port
uint8_t | _slot

## Detailed Description

Driver for Me flame snesor device.

Class: MeFlameSensor

Description
  Declaration of Class MeFlameSensor

Copyright (C), 2012-2016, MakeBlock

## Constructor & Destructor Documentation

## ◆ MeFlameSensor() [1/2]

MeFlameSensor::MeFlameSensor | ( | void |  | ) |

Alternate Constructor which can call your own function to map the flame snesor to arduino port, no pins are used or initialized here.

Parameters

  [in] | None |

## ◆ MeFlameSensor() [2/2]

MeFlameSensor::MeFlameSensor | ( | uint8_t | port | ) |

Alternate Constructor which can call your own function to map the flame snesor to arduino port

Parameters

  [in] | port | - RJ25 port from PORT_1 to M2

## Member Function Documentation

## ◆ readAnalog()

int16_t MeFlameSensor::readAnalog | ( | void |  | ) |

Function
  readAnalog

Description
  Read the analog signal of flame snesor.

Output
  None

Returns
  The vlaue from flame snesor's analog output

Others
  None

## ◆ readDigital()

uint8_t MeFlameSensor::readDigital | ( | void |  | ) |

Function
  readDigital

Description
  Read the digital signal of flame snesor, It is the result of comparison between the threshold value and the analog output. The threshold value can be adjusted using a rheostat

Output
  None

Returns
  true - The fire is detected
  false - No fire is detected

Others
  None

## ◆ setpin()

void MeFlameSensor::setpin | ( | uint8_t | digital_pin,
|  | uint8_t | analog_pin
| ) |  |

Function
  setpin

Description
  Reset the flame snesor available PIN by its arduino port.

Parameters

  [in] | digital_pin | - arduino port for digital signal input
  [in] | analog_pin | - arduino port for analog signal input

Output
  None

Returns
  None

Others
  None

The documentation for this class was generated from the following files:

- src/MeFlameSensor.h
- src/MeFlameSensor.cpp